Subject: Re: [PATCH 5/7] enforce `xfuncname` precedence over `funcname`

From: Junio C Hamano <[email-masked]>
Date: Fri, 25 Jul 2014 11:55:45 -0700

Matthieu Moy <[email-masked]> writes:

>>> I'd just replace "list" with "array" and use
>>> Documentation/technical/api-allocation-growing.txt.
>>>
>>> But I can't think of a better way.
>>
>> Presumably this array will reflect the order the source file told us
>> about the keys and their values; I wonder if the <filename, lineno>
>> information we already have can be used (or unified) with it?
>
> I've thought about this too, and I think it would be really hard.

Yeah, I do not offhand think of a good solution, either, without
going pointer-crazy and have bidirectional link everywhere X-<.